// $Id$
//
// $Source$
//
// $Log$
//

#ifndef __EVENT_LOG_I_HH__
#define __EVENT_LOG_I_HH__

#include <event_log.hh>
#include "bootstrap_n.hh"

void init_event_log( const char *name);
void add_event( const EventLog::UniqueEventID &id);

#define LOGSIGHTING( name, ts) { \
  EventLog::UniqueEventID id; \
  id.sender= (const char*) name; \
  EventLog::TimeStamp t; \
  t.seconds= ts.sec; t.microseconds= ts.usec; \
  id.ts= t; \
  id.event_id= 0; \
  add_event( id); \
  }

#define LOGTIMESTAMP( tst) { \
  EventLog::UniqueEventID id; \
  id.sender= (const char*) ""; \
  EventLog::TimeStamp t; \
  t.seconds= tst.seconds; t.microseconds= tst.microseconds; \
  id.ts= t; \
  id.event_id= 0; \
  add_event( id); \
  }

#endif 

// __EVENT_LOG_I_HH__
