//
// $Id: Bootstrap_listener_n.java,v 1.2 1998/07/29 13:25:04 mencnar Exp $
//
// $Source: /home/iris/grant/abng/CVS/sources/common_java/all/Bootstrap_listener_n.java,v $
//
// $Log: Bootstrap_listener_n.java,v $
// Revision 1.2  1998/07/29 13:25:04  mencnar
// minor bug fixes in Visibroker 3.2 port
//
//

//
package pl.edu.agh.ics.abngcore;


public class Bootstrap_listener_n
                 implements ABng_Server_Manager._CallbackOperations {
  private Bootstrap_listener_interface_n listener;
  private ABng_Server_Manager.Callback corba_object;
  
  public Bootstrap_listener_n( Bootstrap_listener_interface_n listener) {
    this.listener= listener;
    corba_object= new ABng_Server_Manager._tie_Callback( this);
    ORB_wrapper.instance.connect_object( corba_object);
  }

  int register_callback( String[] name) {
    if (Bootstrap_n.get_register_manager_object() == null)
      return Bootstrap_n.
        get_register_object().register_restricted_callback( corba_object,
							    name);
    else
      return Bootstrap_n.
	get_register_manager_object().register_callback( corba_object,
							 name);
  }

  int register_context_callback( String[] name) {
    if (Bootstrap_n.get_register_manager_object() == null)
      return Bootstrap_n.
     get_register_object().register_restricted_context_callback( corba_object,
								 name);
    else
      return Bootstrap_n.
	get_register_manager_object().register_context_callback( corba_object,
								 name);
  }

  void unregister_callback( int callback_identifier) {
    if (Bootstrap_n.get_register_manager_object() == null)
      Bootstrap_n.get_register_object().unregister_restricted_callback( callback_identifier);
    else
      Bootstrap_n.get_register_manager_object().unregister_callback( callback_identifier);
    
  }

  public void server_startup( org.omg.CORBA.Object server_reference,
			      String[] name,
			      int callback_identifier) {
    listener.reference_resolved( name,
				 server_reference,
				 callback_identifier);
  }

  public void server_shutdown( String[] name,
			       int callback_identifier) {
    listener.server_shutdown( name,
			      callback_identifier);
  }
}


