// -*- Mode: C++; -*-
//
// $Id: Process_Status.java,v 1.1.1.1 1998/07/03 13:04:43 mencnar Exp $
//
// $Log
//


package pl.edu.agh.ics.abngcore;

import java.net.InetAddress;

public class Process_Status 
  implements ABng_Server_Manager._ProcessControlOperations,
             Runnable {

  private ABng_Server_Manager.ProcessControl corba_object;
  private Process_Status_interface listener;
  private long start_time;

  public Process_Status( String server_name,
			 Process_Status_interface listener) 
    throws Exception {

    this.listener= listener;
    corba_object= new ABng_Server_Manager._tie_ProcessControl( this);
    ORB_wrapper.instance.connect_object( corba_object);

    start_time= System.currentTimeMillis();

    String []s_name= new String[3];
    s_name[0]= "ABng";
    s_name[1]= "ps_dev";
    s_name[2]= server_name;
    Bootstrap_n.register_server_in_NS( s_name,
				       corba_object);
  }
  

  public void kill_server() {
    System.err.println( "ABng_Server::ProcessControl::kill_server called, exiting in 2 seconds");
    (new Thread( this)).start();
  }

  public int get_pid() {
    return 0; // There is no way (?) to get a pid of Java VM process
  }

  public String get_process_owner() {
    return "";
  }

  public String get_host_name() {
    String hostname= "(unknown)";
    
    try {
      hostname= InetAddress.getLocalHost().getHostName();
    }
    catch ( Exception ex) {}
    return hostname;
  }
  
  public int uptime() {
    return (int) ((System.currentTimeMillis()-start_time)/1000);
  }

  public String get_server_status() {
    return "not implemented"; // implement it !!!
  }

  public void run() { // a killer thread
    try {
      Thread.sleep( 2000);
    }
    catch (Exception ex) {}

    System.exit(0);
  }
}
