// $Id$
//
// $Source$
//
// $Log$
//

#ifdef ORBIX
#define USE_IIOP
#define USE_IR
#endif

#include "../user_rep/user_rep_server.h"
#include "../meta_equipment_rep/meta_equipment_rep_server.h"
#include "../location_type_rep/lt_rep_server.h"

int main(int argc,  char **argv) {

  extern char *optarg;
  extern int optind, opterr, optopt;

  User_Rep_Server my_user_rep_server;
  Meta_Equipment_Rep_Server my_me_rep_server;
  LT_Rep_Server my_lt_rep_server;

  my_user_rep_server.init( argc, argv);
  optind= 1; optopt= 0;
  my_me_rep_server.init( argc, argv);

  optind= 1; optopt= 0;
  my_lt_rep_server.init( argc, argv);

  my_lt_rep_server.run();

  my_lt_rep_server.final();
  my_me_rep_server.final();
  my_user_rep_server.final();
  return 0;
}
