//
//  File:         meta_equipment_rep_main.cc
//  Author:       Andrzej Uszok (uszok@ics.agh.edu.pl)
//  Date Created: 20.04.98
//
// General Description:
//   Main file for the meta_equipment server
//
// The executable file generated from this code should be registered 
// (under the name 'meta_equipment') using the 'putit' command.
//

#define USE_IIOP
#define USE_IR

#include "meta_equipment_rep_server.h"

int main(int argc,  char **argv) {

  Meta_Equipment_Rep_Server ME_rep;

  ME_rep.init(argc, argv);
  ME_rep.run();
  ME_rep.final();
}
