// $Id: sched_repos.hh,v 1.2 1998/06/18 10:21:56 mencnar Exp $
//
// $Source: /home/iris/grant/abng/CVS/sources/servers/scheduler/sched_repos.hh,v $
//
// $Log: sched_repos.hh,v $
// Revision 1.2  1998/06/18 10:21:56  mencnar
// moved to CVS
//
// Revision 1.1  1997/10/23 09:23:34  mencnar
// Initial revision
//
//

#ifndef __sched_repos_hh__
#define __sched_repos_hh__

class Sched_SB_Repositories : public ABng_Guarded,
                              public BOA_IMPL_BASE(ABng_Core_System,System_Static_Data_Observer) {

  ABng_Core_System::Sensor::Value_Descriptions *sensors_descr;
  ABng_Core_System::Badge::Value_Descriptions *badges_descr;
  ABng_Core_Management::Sensor_Rep_var sensor_rep_ref;
  ABng_Core_Management::Badge_Rep_var badge_rep_ref;
  SchedulerImpl &impl;
  omni_mutex reference_mutex;

  void update_sensors();
  void update_badges();
public:
  Sched_SB_Repositories( SchedulerImpl &_impl);
  ~Sched_SB_Repositories();

  void set_sensor_rep( ABng_Core_Management::Sensor_Rep_var new_sensor_rep);
  void set_badge_rep( ABng_Core_Management::Badge_Rep_var new_badge_rep);

  ABng_Core_System::Badge_Ids get_all_badge_ids();
  ABng_Core_System::Sensor_Ids get_all_sensor_ids();

  void check_valid( ABng_Core_System::Badge_Id &);
  void check_valid( ABng_Core_System::Sensor_Id &);

  void notify( Domain_Repository::Repository_Item_Id item_id, 
	       const ABng_Core_System::System_Static_Data_Observer::System_Static_Data_Object &sd,
               Domain_Repository::Change_Type change
	       ENV_DECL(env));
  void abort(  ENV_DECL1(env));
};

#endif 

//

