//
//  File:         sensor_rep_main.cc
//  Author:       Andrzej Uszok (uszok@ics.agh.edu.pl)
//  Date Created: 06.02.98
//
// General Description:
//   Main file for the sensor_rep server
//
// The executable file generated from this code should be registered 
// (under the name 'sensor_rep') using the 'putit' command.
//

#ifdef ORBIX
#define USE_IIOP
#define USE_IR
#endif

#include "sensor_rep_server.h"

int main(int argc,  char **argv) 
{
	Sensor_Rep_Server my_sensor_rep_server;

	my_sensor_rep_server.init(argc, argv);
	my_sensor_rep_server.run();
	my_sensor_rep_server.final();
}
