// $Id: comparable_badge_descr.h,v 1.1.1.1 1998/06/18 13:37:37 mencnar Exp $
//
// $Source: /home/iris/grant/abng/CVS/sources/servers/sighting_processors/comparable_badge_descr.h,v $
//
// $Log: comparable_badge_descr.h,v $
// Revision 1.1.1.1  1998/06/18 13:37:37  mencnar
//
// Revision 1.1  1998/03/06 13:45:53  jasz
// Initial revision
//
//
// File:          comparable_badge_descr.h
// Author:        Jakub Szymaszek (jasz@ics.agh.edu.pl)
// Date Created:  26.01.98
//
// General Description:
//  Declaration of the Comparable_Badge_Descr class. It encapsulates badge data
//  and provides an equality testing operator.

#ifndef __COMPARABLE_BADGE_DESCR_H__
#define __COMPARABLE_BADGE_DESCR_H__

#include "abng_core_management.hh"

class Comparable_Badge_Descr : public ABng_Core_System::Badge::Description {

public:

  Comparable_Badge_Descr() : ABng_Core_System::Badge::Description() {}
  Comparable_Badge_Descr(
    const ABng_Core_System::Badge::Description* bd_p) {
    *((ABng_Core_System::Badge::Description*) this) = *bd_p;
  }
  virtual int operator==(const Comparable_Badge_Descr& bd_p) {
    return item_id == bd_p.item_id;
  }

  static unsigned hash(const Comparable_Badge_Descr& bd_p);
};

#endif /*  __COMPARABLE_BADGE_DESCR_H__ */
