// $Id: comparable_sensor_id.h,v 1.1.1.1 1998/06/18 13:37:37 mencnar Exp $
//
// $Source: /home/iris/grant/abng/CVS/sources/servers/sighting_processors/comparable_sensor_id.h,v $
//
// $Log: comparable_sensor_id.h,v $
// Revision 1.1.1.1  1998/06/18 13:37:37  mencnar
//
// Revision 1.1  1998/03/06 13:46:45  jasz
// Initial revision
//
//
// File:          comparable_sensor_id.h
// Author:        Jakub Szymaszek (jasz@ics.agh.edu.pl)
// Date Created:  26.01.98
//
// General Description:
//  Declaration of the Comparable_Sensor_Id class. It encapsulates sensor id
//  and provides an equality testing operator.

#ifndef __COMPARABLE_SENSOR_ID_H__
#define __COMPARABLE_SENSOR_ID_H__

#include "abng_core_management.hh"

class Comparable_Sensor_Id : public ABng_Core_System::Sensor_Id {

public:

  Comparable_Sensor_Id() {}
  Comparable_Sensor_Id(const ABng_Core_System::Sensor_Id& sid) {
    *((ABng_Core_System::Sensor_Id*) this) = sid;
  }
  virtual int operator==(const Comparable_Sensor_Id& sid);
  static unsigned hash(const Comparable_Sensor_Id& sid);

};

#endif /*  __COMPARABLE_SENSOR_ID_H__ */
