//
//  File:         user_rep_main.cc
//  Author:       Andrzej Uszok (uszok@ics.agh.edu.pl)
//  Date Created: 17.02.98
//
// General Description:
//   Main file for the user_rep server
//
// The executable file generated from this code should be registered 
// (under the name 'user_rep') using the 'putit' command.
//

#ifdef ORBIX
#define USE_IIOP
#define USE_IR
#endif

#include "user_rep_server.h"

int main(int argc,  char **argv) 
{
	User_Rep_Server my_user_rep_server;

	my_user_rep_server.init(argc, argv);
	my_user_rep_server.run();
	my_user_rep_server.final();
}
