
#include "lt_rep_client.h"

extern "C"      int isalpha(int c);
extern "C"      int isdigit(int c);


LT_Rep_Client::Operations Rep_Client<Location_Type_Types_Mgr>::operations = 
  {{0, {0}}};

char* Rep_Client<Location_Type_Types_Mgr>::description = "\"name(identifier) number_of_properties(long) property_name(identifier) property_type(type_name) ...\"";

Domain_Repository::Location_Type::Description 
 LT_Rep_Client::init_data(char* data) {
  Domain_Repository::Location_Type::Description d;

  d.name = read_id(data);
  d.property_description_list.length(read_long(data));
  for(int i = 0; i < d.property_description_list.length(); i ++) {
     d.property_description_list[i].name = read_string(data); 
     d.property_description_list[i].type = read_TC(data);
  }
  
  return d;
}







