
#include "tevent_data_observer.hh"

TEvent_Data_Observer_mgr::TEvent_Data_Observer_mgr () 
{
    _ptr = TEvent_Data_Observer:: _nil ();
}

TEvent_Data_Observer_mgr::TEvent_Data_Observer_mgr (const TEvent_Data_Observer_mgr &IT_s) 
{
    _ptr = TEvent_Data_Observer:: _duplicate (IT_s._ptr);
}

TEvent_Data_Observer_mgr::TEvent_Data_Observer_mgr (TEvent_Data_Observer_var IT_s) 
{
    _ptr = TEvent_Data_Observer:: _duplicate (IT_s);
}

TEvent_Data_Observer_mgr::TEvent_Data_Observer_mgr (const TEvent_Data_Observer_SeqElem &IT_s) 
{
    _ptr = TEvent_Data_Observer:: _duplicate (IT_s);
}

TEvent_Data_Observer_mgr &TEvent_Data_Observer_mgr::operator= (TEvent_Data_Observer_ptr IT_p) {
    CORBA::release (_ptr);
    _ptr = IT_p;
    return (*this);
}

TEvent_Data_Observer_mgr &TEvent_Data_Observer_mgr::operator= (const TEvent_Data_Observer_mgr &IT_s) {
    CORBA::release (_ptr);
    _ptr = TEvent_Data_Observer:: _duplicate(IT_s._ptr);
    return (*this);
}

TEvent_Data_Observer_mgr &TEvent_Data_Observer_mgr::operator= (TEvent_Data_Observer_var IT_s) {
    CORBA::release (_ptr);
    _ptr = TEvent_Data_Observer:: _duplicate(IT_s);
    return (*this);
}

TEvent_Data_Observer_mgr &TEvent_Data_Observer_mgr::operator= (const TEvent_Data_Observer_SeqElem &IT_s) {
    CORBA::release (_ptr);
    _ptr = TEvent_Data_Observer:: _duplicate(IT_s);
    return (*this);
}

TEvent_Data_Observer_mgr::~TEvent_Data_Observer_mgr () {
    CORBA::release (_ptr);
}

TEvent_Data_Observer_ptr TEvent_Data_Observer_mgr:: operator-> () const {
    return _ptr;
}

TEvent_Data_Observer_mgr::operator ! () const {
    return ((CORBA::is_nil (_ptr)));
}

TEvent_Data_Observer_mgr::operator TEvent_Data_Observer_ptr& () { return (TEvent_Data_Observer_ptr &) (_ptr);}
TEvent_Data_Observer_mgr::operator const TEvent_Data_Observer_ptr& () const { return (TEvent_Data_Observer_ptr &) (_ptr);}

TEvent_Data_Observer_mgr::operator CORBA::Object_ptr () const {
    return _ptr;
}

TEvent_Data_Observer_ptr TEvent_Data_Observer_mgr:: in () const {
    return _ptr;
}

TEvent_Data_Observer_ptr& TEvent_Data_Observer_mgr:: inOut () {
    return _ptr;
}

TEvent_Data_Observer_ptr& TEvent_Data_Observer_mgr:: out () {
    return _ptr;
}

TEvent_Data_Observer_ptr TEvent_Data_Observer_mgr:: ret () const {
    return _ptr;
}

TEvent_Data_Observer_SeqElem::TEvent_Data_Observer_SeqElem (TEvent_Data_Observer_ptr* IT_p, unsigned char rel) {
    _ptr = IT_p;
    _release = rel;
}

TEvent_Data_Observer_SeqElem &TEvent_Data_Observer_SeqElem::operator= (TEvent_Data_Observer_ptr IT_p) {
    if (_ptr) {
        if (_release)
            CORBA::release (*(_ptr));
        *(_ptr) = IT_p;
    }
    return (*this);
}

TEvent_Data_Observer_SeqElem &TEvent_Data_Observer_SeqElem::operator= (const TEvent_Data_Observer_SeqElem &IT_s) {
    if (_ptr && IT_s._ptr) {
        if (_release)
            CORBA::release (*(_ptr));
        *(_ptr) = TEvent_Data_Observer:: _duplicate(*(IT_s._ptr));
    }
    return (*this);
}

TEvent_Data_Observer_SeqElem &TEvent_Data_Observer_SeqElem::operator= (const TEvent_Data_Observer_mgr &IT_s) {
    if (_ptr ) {
        if (_release)
            CORBA::release (*(_ptr));
        *(_ptr) = TEvent_Data_Observer:: _duplicate(IT_s._ptr);
    }
    return (*this);
}

TEvent_Data_Observer_SeqElem &TEvent_Data_Observer_SeqElem::operator= (TEvent_Data_Observer_var IT_s) {
    if (_ptr ) {
        if (_release)
            CORBA::release (*(_ptr));
        *(_ptr) = TEvent_Data_Observer:: _duplicate (IT_s);
    }
    return (*this);
}

TEvent_Data_Observer_SeqElem::operator ! () const {
    return ((CORBA::is_nil (*_ptr)));
}

TEvent_Data_Observer_SeqElem::operator const TEvent_Data_Observer_ptr& () const { return (TEvent_Data_Observer_ptr &) (*_ptr);}

TEvent_Data_Observer_SeqElem::operator CORBA::Object_ptr () const {
    return *_ptr;
}

TEvent_Data_Observer_ptr TEvent_Data_Observer_SeqElem:: in () const {
    return *_ptr;
}

TEvent_Data_Observer_ptr& TEvent_Data_Observer_SeqElem:: inOut () {
    return *_ptr;
}

TEvent_Data_Observer_ptr& TEvent_Data_Observer_SeqElem:: out () {
    return *_ptr;
}

TEvent_Data_Observer_ptr TEvent_Data_Observer_SeqElem:: ret () const {
    return *_ptr;
}

TEvent_Data_Observer_ptr TEvent_Data_Observer_SeqElem::operator->() const { return *_ptr;}

TEvent_Data_Observer::TEvent_Data_Observer (char *IT_OR) {
      m_pptr = new TEvent_Data_Observer_dispatch (IT_OR, this,(CORBA::Object*)this);
} 
TEvent_Data_Observer::TEvent_Data_Observer (ObjectReferenceImpl *IT_OR) {
      m_pptr = new TEvent_Data_Observer_dispatch (IT_OR, this,(CORBA::Object*)this);
} 

#ifndef TEvent_Data_ObserverForwC
#define TEvent_Data_ObserverForwC
CORBA::ObjectRef CALL_SPEC TEvent_Data_Observer_getBase(void *IT_p){
    return (TEvent_Data_Observer*) IT_p;}

void CALL_SPEC TEvent_Data_Observer_release (TEvent_Data_Observer_ptr IT_p, CORBA::Environment &IT_env) {
    CORBA::release(IT_p, IT_env);}

void CALL_SPEC TEvent_Data_Observer_release (TEvent_Data_Observer_ptr IT_p) {
    TEvent_Data_Observer_release (IT_p, CORBA::IT_chooseDefaultEnv ()); }

TEvent_Data_Observer_ptr CALL_SPEC TEvent_Data_Observer_nil (CORBA::Environment &) {
    return TEvent_Data_Observer:: _nil ();}

TEvent_Data_Observer_ptr CALL_SPEC TEvent_Data_Observer_nil () {
    return TEvent_Data_Observer_nil (CORBA::IT_chooseDefaultEnv ());}

TEvent_Data_Observer_ptr CALL_SPEC TEvent_Data_Observer_duplicate (TEvent_Data_Observer_ptr IT_p, CORBA::Environment &IT_env) {
    return (TEvent_Data_Observer::_duplicate(IT_p, IT_env)); }
TEvent_Data_Observer_ptr CALL_SPEC TEvent_Data_Observer_duplicate (TEvent_Data_Observer_ptr IT_p) {
    return TEvent_Data_Observer_duplicate (IT_p, CORBA::IT_chooseDefaultEnv ()); }
#endif

TEvent_Data_Observer_ptr CALL_SPEC TEvent_Data_Observer::_duplicate(TEvent_Data_Observer_ptr obj, CORBA::Environment& IT_pEnv) {
        CORBA::EnvExcRaiser IT_raise;
        CORBA::Environment &IT_env = IT_raise.registerEnv (&IT_pEnv);
       if (!obj) {
          return (obj);
       }
       TEvent_Data_Observer_ptr IT_obj = obj->__duplicate (IT_env);
       return IT_obj;
}



TEvent_Data_Observer* CALL_SPEC TEvent_Data_Observer:: _bind (const char* IT_markerServer, const char* host,
		const CORBA::Context &IT_c, 
		CORBA::Environment &IT_env) {
       return (TEvent_Data_Observer*)CORBA::Factory.New (IT_markerServer, IT_env, IT_c, host, 
		TEvent_Data_Observer_IMPL, TEvent_Data_Observer_IR);
}



TEvent_Data_Observer* CALL_SPEC TEvent_Data_Observer:: _bind (CORBA::Environment &IT_env) {
       return _bind (NULL,NULL,CORBA::Context(), IT_env); }


TEvent_Data_Observer* CALL_SPEC TEvent_Data_Observer:: _bind (const char* IT_markerServer, const char* host,
                CORBA::Environment &IT_env) {
       return _bind (IT_markerServer, host, CORBA::Context (), IT_env); }
TEvent_Data_Observer* CALL_SPEC TEvent_Data_Observer::_narrow (CORBA::Object* IT_obj, CORBA::Environment &IT_pEnv) {
        CORBA::EnvExcRaiser IT_raise;
        CORBA::Environment &IT_env = IT_raise.registerEnv (&IT_pEnv);
        if (CORBA::is_nil (IT_obj)) {
                return TEvent_Data_Observer:: _nil();
        }

       TEvent_Data_Observer* IT_p = (TEvent_Data_Observer*)CORBA::Object::_castDown (IT_obj, TEvent_Data_Observer_IR, IT_env);
        IT_p = IT_p ? IT_p->__duplicate(IT_env) : NULL;
        if ((IT_env) &&(!strcmp(IT_env.exception()->id(), "CORBA::StExcep::BAD_PARAM")) && (((CORBA::BAD_PARAM*)IT_env.exception())-> minor() == NARROW_FAILED)) {
                IT_env.exception_free();
        }
        return IT_p;
   }

const void* TEvent_Data_Observer:: IT_impl = CORBA::IT_implTable.record (TEvent_Data_Observer_IMPL, "IDL:TEvent_Data_Observer:1.0");


#ifndef TEvent_Data_Observer_TEvent_Data_Object_Ops
#define TEvent_Data_Observer_TEvent_Data_Object_Ops

void TEvent_Data_Observer::TEvent_Data_Object:: encodeOp (CORBA::Request &IT_r) const {

    {
        CORBA::Object* IT_l0 = (CORBA::Object*) tevent_obj;
        IT_r << IT_l0;
    }

    {
    CORBA::ULong IT_1 = (CORBA::ULong) msg;
    IT_r << IT_1;
    }

    IT_r << state;
}

void TEvent_Data_Observer::TEvent_Data_Object:: decodeOp (CORBA::Request &IT_r) {

    tevent_obj = (TEvent*) IT_r.decodeObjRef (TEvent_IR);

    {
    CORBA::ULong IT_2;
    IT_r >> IT_2;
    msg = TEvent::StateMsg(IT_2);
    }

    IT_r >> state;
}

void TEvent_Data_Observer::TEvent_Data_Object:: decodeInOutOp (CORBA::Request &IT_r) {

    tevent_obj = (TEvent*) IT_r.decodeObjRef (TEvent_IR);

    {
    CORBA::ULong IT_3;
    IT_r >> IT_3;
    msg = TEvent::StateMsg(IT_3);
    }

    IT_r >> state;
}

TEvent_Data_Observer::TEvent_Data_Object ::~TEvent_Data_Object () {
}

TEvent_Data_Observer::TEvent_Data_Object:: TEvent_Data_Object (const TEvent_Data_Observer::TEvent_Data_Object &IT_s) 
	 {
    tevent_obj = IT_s.tevent_obj;
    msg = IT_s.msg;
    state = IT_s.state;
}

TEvent_Data_Observer::TEvent_Data_Object:: TEvent_Data_Object () {
}

TEvent_Data_Observer::TEvent_Data_Object &TEvent_Data_Observer::TEvent_Data_Object:: operator= (const TEvent_Data_Observer::TEvent_Data_Object& IT_s) {
    if (this == &IT_s) return *this;
    tevent_obj = IT_s.tevent_obj;
    msg = IT_s.msg;
    state = IT_s.state;
    return *this;
}

unsigned char TEvent_Data_Observer::TEvent_Data_Object_var ::copyHelper (const TEvent_Data_Object_var &IT_s) {
    if (!IT_s._ptr) {
        _ptr = IT_s._ptr;
    } else
    {
        _ptr = new TEvent_Data_Object;
        *(_ptr) =  *(IT_s._ptr);
    }
    return 1;
}

TEvent_Data_Observer::TEvent_Data_Object_ptr* TEvent_Data_Observer::TEvent_Data_Object_var ::_newPtr () {
    return new TEvent_Data_Observer::TEvent_Data_Object_ptr;
}

TEvent_Data_Observer::TEvent_Data_Object_var ::TEvent_Data_Object_var (const TEvent_Data_Object_var &IT_s) 
    :
    _indPtr(_newPtr()),
    _ptr(*_indPtr)
{
    (void) copyHelper (IT_s);
}

TEvent_Data_Observer::TEvent_Data_Object_var ::TEvent_Data_Object_var () 
    :
    _indPtr(_newPtr()),
    _ptr(*_indPtr)
{
    _ptr = NULL;
}

TEvent_Data_Observer::TEvent_Data_Object_var ::TEvent_Data_Object_var (TEvent_Data_Object_ptr IT_p) 
    :
    _indPtr(_newPtr()),
    _ptr(*_indPtr)
{
    _ptr = IT_p;
}

TEvent_Data_Observer::TEvent_Data_Object_var &TEvent_Data_Observer::TEvent_Data_Object_var :: operator= (TEvent_Data_Object_ptr IT_p) {
    if (_ptr != IT_p) {
        if (_ptr) {
                delete _ptr;
                _ptr = 0;
        }
    }
    _ptr = IT_p;
    return (*this);
}

TEvent_Data_Observer::TEvent_Data_Object_var &TEvent_Data_Observer::TEvent_Data_Object_var :: operator= (const TEvent_Data_Object_var &IT_s) {
    if (_ptr != IT_s._ptr) {
        if (_ptr) {
                delete _ptr;
                _ptr = 0;
        }
    }
    _ptr = new TEvent_Data_Object;
    *(_ptr) =  *(IT_s._ptr);
    return (*this);
}

TEvent_Data_Observer::TEvent_Data_Object_var ::~TEvent_Data_Object_var () {
    if (_ptr) {
        delete _ptr;
        _ptr = 0;
    }
    if ( _indPtr ) {
        delete _indPtr;
        _indPtr = 0;
    }
}

TEvent_Data_Observer::TEvent_Data_Object_ptr TEvent_Data_Observer::TEvent_Data_Object_var :: operator-> () const {
    return _ptr;
}

TEvent_Data_Observer::TEvent_Data_Object_var::operator ! () const {
    return (_ptr ? 0 : 1);
}

TEvent_Data_Observer::TEvent_Data_Object_var::operator TEvent_Data_Observer::TEvent_Data_Object_ptr& () { return (TEvent_Data_Observer::TEvent_Data_Object_ptr &) (_ptr);}
TEvent_Data_Observer::TEvent_Data_Object_var::operator const TEvent_Data_Observer::TEvent_Data_Object_cptr& () const { return (TEvent_Data_Observer::TEvent_Data_Object_cptr &) (_ptr);}
TEvent_Data_Observer::TEvent_Data_Object_var:: operator TEvent_Data_Observer::TEvent_Data_Object& () const { return (TEvent_Data_Observer::TEvent_Data_Object&) (* _ptr);}

const TEvent_Data_Observer::TEvent_Data_Object TEvent_Data_Observer::TEvent_Data_Object_var :: in () const {
    return *_ptr;
}

TEvent_Data_Observer::TEvent_Data_Object& TEvent_Data_Observer::TEvent_Data_Object_var :: inOut () {
    return *_ptr;
}

TEvent_Data_Observer::TEvent_Data_Object*& TEvent_Data_Observer::TEvent_Data_Object_var :: out () {
    return _ptr;
}

TEvent_Data_Observer::TEvent_Data_Object* TEvent_Data_Observer::TEvent_Data_Object_var :: ret () const {
    return _ptr;
}


#endif

unsigned char TEvent_Data_Observer_var ::copyHelper (const TEvent_Data_Observer_var &IT_s) {
    {
        _ptr = TEvent_Data_Observer:: _duplicate (IT_s._ptr);
    }
    return 1;
}

unsigned char TEvent_Data_Observer_var ::copyHelper (const TEvent_Data_Observer_mgr &IT_s) {
    _ptr = TEvent_Data_Observer:: _duplicate (IT_s._ptr);
return 1;
}

unsigned char TEvent_Data_Observer_var ::copyHelper (const TEvent_Data_Observer_SeqElem &IT_s) {
    _ptr = TEvent_Data_Observer:: _duplicate (IT_s);
return 1;
}

TEvent_Data_Observer_ptr* TEvent_Data_Observer_var ::_newPtr () {
    return new TEvent_Data_Observer_ptr;
}

TEvent_Data_Observer_var ::TEvent_Data_Observer_var (const TEvent_Data_Observer_var &IT_s) 
    :
    _indPtr(_newPtr()),
    _ptr(*_indPtr)
{
    (void) copyHelper (IT_s);
}

TEvent_Data_Observer_var ::TEvent_Data_Observer_var (const TEvent_Data_Observer_mgr &IT_s) 
    :
    _indPtr(_newPtr()),
    _ptr(*_indPtr)
{
    (void) copyHelper (IT_s);
}

TEvent_Data_Observer_var ::TEvent_Data_Observer_var (const TEvent_Data_Observer_SeqElem &IT_s) 
    :
    _indPtr(_newPtr()),
    _ptr(*_indPtr)
{
    (void) copyHelper (IT_s);
}

TEvent_Data_Observer_var ::TEvent_Data_Observer_var () 
    :
    _indPtr(_newPtr()),
    _ptr(*_indPtr)
{
    _ptr = TEvent_Data_Observer:: _nil ();
}

TEvent_Data_Observer_var ::TEvent_Data_Observer_var (TEvent_Data_Observer_ptr IT_p) 
    :
    _indPtr(_newPtr()),
    _ptr(*_indPtr)
{
    _ptr = IT_p;
}

TEvent_Data_Observer_var &TEvent_Data_Observer_var :: operator= (TEvent_Data_Observer_ptr IT_p) {
    CORBA::release (_ptr);
    _ptr = IT_p;
    return (*this);
}

TEvent_Data_Observer_var &TEvent_Data_Observer_var :: operator= (const TEvent_Data_Observer_var &IT_s) {
    CORBA::release (_ptr);
    _ptr = TEvent_Data_Observer:: _duplicate (IT_s._ptr);
    return (*this);
}

TEvent_Data_Observer_var &TEvent_Data_Observer_var :: operator= (const TEvent_Data_Observer_mgr &IT_s) {
    CORBA::release (_ptr);
    _ptr = TEvent_Data_Observer:: _duplicate (IT_s._ptr);
    return (*this);
}

TEvent_Data_Observer_var &TEvent_Data_Observer_var :: operator= (const TEvent_Data_Observer_SeqElem &IT_s) {
    CORBA::release (_ptr);
    _ptr = TEvent_Data_Observer:: _duplicate (IT_s);
    return (*this);
}

TEvent_Data_Observer_var ::~TEvent_Data_Observer_var () {
    CORBA::release (_ptr);
    if ( _indPtr ) {
        delete _indPtr;
        _indPtr = 0;
    }
}

TEvent_Data_Observer_ptr TEvent_Data_Observer_var :: operator-> () const {
    return _ptr;
}

TEvent_Data_Observer_var::operator ! () const {
    return ((CORBA::is_nil (_ptr)));
}

TEvent_Data_Observer_var::operator TEvent_Data_Observer_ptr& () { return (TEvent_Data_Observer_ptr &) (_ptr);}
TEvent_Data_Observer_var::operator const TEvent_Data_Observer_cptr& () const { return (TEvent_Data_Observer_cptr &) (_ptr);}

TEvent_Data_Observer_var ::operator CORBA::Object_ptr () const {
    return _ptr;
}

TEvent_Data_Observer_ptr TEvent_Data_Observer_var :: in () const {
    return _ptr;
}

TEvent_Data_Observer_ptr& TEvent_Data_Observer_var :: inOut () {
    return _ptr;
}

TEvent_Data_Observer_ptr& TEvent_Data_Observer_var :: out () {
    return _ptr;
}

TEvent_Data_Observer_ptr TEvent_Data_Observer_var :: ret () const {
    return _ptr;
}

void* TEvent_Data_ObserverProxyFactoryClass::New (char *IT_OR, CORBA::Environment&) {
        return  new class TEvent_Data_Observer(IT_OR);}

void* TEvent_Data_ObserverProxyFactoryClass::New (ObjectReferenceImpl *IT_OR, CORBA::Environment&) {
        return  new class TEvent_Data_Observer(IT_OR);}

void* TEvent_Data_ObserverProxyFactoryClass::New2 () {
        return  new class TEvent_Data_Observer((char*)0);}

CORBA::Object* TEvent_Data_ObserverProxyFactoryClass::NewObject (char *IT_OR, CORBA::Environment& IT_env) {
        return (CORBA::Object*)((TEvent_Data_Observer*)New (IT_OR, IT_env));}

CORBA::Object* TEvent_Data_ObserverProxyFactoryClass::NewObject (ObjectReferenceImpl *IT_OR, CORBA::Environment& IT_env) {
        return (CORBA::Object*)((TEvent_Data_Observer*)New (IT_OR, IT_env));}

CORBA::Object* TEvent_Data_ObserverProxyFactoryClass::New2Object () {
        return (CORBA::Object*)((TEvent_Data_Observer*)New2 ());}

void* TEvent_Data_ObserverProxyFactoryClass::IT_castUp (void *IT_p, char* IT_s, CORBA::Environment &IT_env) {
      void *IT_l;
      if (!CORBA::_interfaceCmp (IT_s,TEvent_Data_Observer_IR, IT_env))
         return IT_p;
      else if (IT_l=CORBA::ObjectFactoryClass::IT_castUp((CORBA::Object*)((class TEvent_Data_Observer*)IT_p),IT_s, IT_env))
         return IT_l;
      else return NULL;
    }


CORBA::PPTR* TEvent_Data_ObserverProxyFactoryClass::pptr (void *IT_p) {
       return ((class TEvent_Data_Observer*)IT_p)->_pptr ();}

void TEvent_Data_ObserverProxyFactoryClass::baseInterfaces (_IDL_SEQUENCE_string& seq) {
      add (seq, TEvent_Data_Observer_IR);
      CORBA::ObjectFactoryClass::baseInterfaces (seq);
}

TEvent_Data_ObserverProxyFactoryClass TEvent_Data_ObserverProxyFactory(1);

void TEvent_Data_Observer:: notify (Domain_Repository::Repository_Item_Id id, const TEvent_Data_Observer::TEvent_Data_Object& sd, Domain_Repository::Change_Type change, CORBA::Environment &IT_pEnv) throw (CORBA::SystemException) {

    CORBA::EnvExcRaiser IT_raise;
    CORBA::Environment &IT_env = IT_raise.registerEnv (&IT_pEnv);
    if (IT_env || m_isNull) {
        return ;
    }
    CORBA::Request IT_r (this, "notify",IT_env,1,1);
    for (int IT_i1=0; IT_i1 < 2; IT_i1++) {
        if (!IT_r.isException (IT_env)) {

            IT_r << id;


            sd.encodeOp (IT_r);


            {
            CORBA::ULong IT_0 = (CORBA::ULong) change;
            IT_r << IT_0;
            }
        }

        IT_r.invoke (CORBA::Flags(CORBA::INV_NO_RESPONSE), IT_env);
        CORBA::SystemException *IT_sy = CORBA::SystemException::_narrow(IT_env.exception()) ;
        if (IT_sy && IT_sy->minor() == 10601)
                IT_r.reset(IT_r.target(),  IT_r.operation(), IT_env);
        else
                break;
    }
    if (IT_r.exceptionKind () == CORBA::SYSTEM_EXCEPTION) {
        IT_r.checkEnv (IT_env);
    }
}

void TEvent_Data_Observer:: abort (CORBA::Environment &IT_pEnv) throw (CORBA::SystemException) {

    CORBA::EnvExcRaiser IT_raise;
    CORBA::Environment &IT_env = IT_raise.registerEnv (&IT_pEnv);
    if (IT_env || m_isNull) {
        return ;
    }
    CORBA::Request IT_r (this, "abort",IT_env,1,1);
    for (int IT_i1=0; IT_i1 < 2; IT_i1++) {

        IT_r.invoke (CORBA::Flags(CORBA::INV_NO_RESPONSE), IT_env);
        CORBA::SystemException *IT_sy = CORBA::SystemException::_narrow(IT_env.exception()) ;
        if (IT_sy && IT_sy->minor() == 10601)
                IT_r.reset(IT_r.target(),  IT_r.operation(), IT_env);
        else
                break;
    }
    if (IT_r.exceptionKind () == CORBA::SYSTEM_EXCEPTION) {
        IT_r.checkEnv (IT_env);
    }
}





#ifndef TEvent_Data_Observer_dispatch_impl

unsigned char TEvent_Data_Observer_dispatch::dispatch (CORBA::Request &IT_r, 
    unsigned char, void *) {
      IT_r.makeRuntimeException1 ("TEvent_Data_Observer");
      return 0;
}
 
#endif

