package ABngSystem;

public class RGContainer
{
	private org.omg.CORBA.Object mObjects[];
	private String mStrings[];
	private boolean bIsError;
	private String sErrorText;

	public RGContainer()
	{
		this.mObjects = new org.omg.CORBA.Object[0];
		this.mStrings = new String[0]; 
		this.bIsError = true;
		sErrorText = new String("Lists are empty.");
	}

	public RGContainer ( org.omg.CORBA.Object[] _array, String[] _sarray )
	{
		this.mObjects = _array;
		this.bIsError = true;
		sErrorText = new String ( "Lists are empty." );

		if( _array == null )
		{
			mStrings = new String[0];
			mObjects = new org.omg.CORBA.Object[0];
		}
		else
		{
			if( _sarray == null )
				mStrings = new String[ _array.length ];
			else
				mStrings = _sarray;
		}
	}
	public RGContainer ( org.omg.CORBA.Object[] _array )
	{
		this.mObjects = _array;
		this.bIsError = true;
		sErrorText = new String ( "Lists are empty." );

		if( _array == null )
		{
			mStrings = new String[0];
			mObjects = new org.omg.CORBA.Object[0];
		}
		else
		{
			mStrings = new String[ _array.length ];
		}
	}

	public org.omg.CORBA.Object[] GetObjects()
	{
		return mObjects;
	}

	public String[] GetStrings()
	{
		return mStrings;
	}

	public boolean IsError()
	{		
		return bIsError;
	}

	public String GetErrorText()
	{
		return sErrorText;
	}

	public void SetError( boolean _error )
	{
		this.bIsError = _error;
	}

	public void SetErrorText( String _sText )
	{
		this.sErrorText = _sText;
	}
}



