// A Human icon for ABng

package jabba;

import java.awt.*;
import com.sun.java.swing.*;
import java.awt.Image;
import java.util.Date;

public class Human extends JLabel {

//	public final static int MAXHUMCOUNT=30;
//	private boolean rotated=false;

	String human0 = "images/human0.gif";
	String human1 = "images/human1.gif";
	String human2 = "images/human2.gif";

	private String firstname, lastname;
	private Image icon;
	private  int width=25, height=30;
	int 	xPos=0, yPos=0;
	double 	zoomFac=1;
	Color 	color;
	public int mask; // maska filtrujaca

	private	Date 	time;

	public Human(String fn, String ln, Date time) {
	this.time = time;
	firstname = fn;
	lastname = ln;
	mask=0;

	Toolkit toolkit = Toolkit.getDefaultToolkit();

	// <SZ>
	// icon = toolkit.getImage(human0);
	icon = ResourceManager.loadIconFromResources(human0).getImage();
	// </SZ>

	setBounds(xPos,yPos,width,height);
	setPreferredSize(new Dimension(width, height));
	}

	public String getInfo() {
		return (String)(firstname + " " + lastname + "    Last seen: " 
			+ time);
	}

	public void setZoom(double i) {
		zoomFac = i;
	}

        // ustawia filtr do ikonki
        public void setMask(int i) {
                mask = i;
                Toolkit toolkit = Toolkit.getDefaultToolkit();

		// <SZ>
		switch (mask) {
		case 1: 
		    // icon = toolkit.getImage(human1);
		    icon = ResourceManager.loadIconFromResources(human1).getImage();
		    break;
		case 2: 
		    // icon = toolkit.getImage(human2);
		    icon = ResourceManager.loadIconFromResources(human2).getImage();
		    break;
		case 0:
		default: 
		    // icon = toolkit.getImage(human0);
		    icon = ResourceManager.loadIconFromResources(human0).getImage();
		    break;
		}
		// </SZ>
        }

	public void paintComponent(Graphics g) {
		super.paintComponent(g);
		g.drawImage(icon,0,0,(int)(width*zoomFac),
			(int)(height*zoomFac), color, this);
	}

	public int getXPos(boolean rotated) {
		if (!rotated)
			return xPos;
		else	
			return yPos;
	}

	public int getYPos(boolean rotated) {
		if (!rotated)
			return yPos;
		else 
			return xPos;
	}

	public int getHWidth() {
		return width;
	}

	public int getHHeight() {
		return height;
	}

/*	public boolean getRotated() {
		return rotated;
	}
*/
	public void setXPos(int x) {
		xPos = x;
	}

	public void setYPos(int y) {
		yPos = y;
	}
/*
	public void setRotated(boolean i) {
		rotated=i;
	}
*/
	public String getFirstname() {
		return firstname;
	}

	public String getLastname() {
		return lastname;
	}
}
