// $Id$
//
// $Source$
//
// $Log$
//

#ifdef ORBIX
#define USE_IIOP
#define USE_IR
#endif

#include "../sensor_rep/sensor_rep_server.h"
#include "../badge_rep/badge_rep_server.hh"
#include "../badge_holder_rep/badge_holder_rep_server.h"
#include "../abng_location_description_rep/abng_ld_rep_server.h"

int main(int argc,  char **argv) {

  extern char *optarg;
  extern int optind, opterr, optopt;

  Sensor_Rep_Server my_sensor_rep_server;
  Badge_Rep_Server br;
  Badge_Holder_Rep_Server my_badge_holder_rep_server;
  ABng_LD_Rep_Server ltr;

  my_sensor_rep_server.init( argc, argv);
  optind= 1; optopt= 0;
  br.init( argc, argv);
  optind= 1; optopt= 0;
  my_badge_holder_rep_server.init( argc, argv);
  optind= 1; optopt= 0;
  ltr.init( argc, argv);

  ltr.run();
  ltr.final();
  my_badge_holder_rep_server.final();
  br.final();
  my_sensor_rep_server.final();
  return 0;
}
