#include "away_rep_server.hh"

void Away_Rep_Server::create_objects() {

  my_rep_i = new Away_Rep_I(file_name);
  my_rep_i->init( cold_start);
  set_thread_pool( 1);
}

void Away_Rep_Server::delete_objects() {

  delete my_rep_i;
}

#ifdef ORBIX
//-------------------------------------------------------Sched_Thread_Filter
//
class Sched_Thread_Filter : public CORBA::ThreadFilter {
  virtual int inRequestPreMarshal(CORBA::Request &, CORBA::Environment&);
};
 
static void startPerRequestThread( void *vp) {
  CORBA::Orbix.continueThreadDispatch( *(CORBA::Request *) vp);
}
 
int Sched_Thread_Filter::inRequestPreMarshal( CORBA::Request &creq,
                                              CORBA::Environment &env) {
  omni_thread *thr;
  thr= new omni_thread( startPerRequestThread, (void*) &creq);
  thr->start();
  return -1;
}

Sched_Thread_Filter my_thread_filter;  

#endif

