// $Id: sched_barrier_id.hh,v 1.2 1998/06/18 10:21:56 mencnar Exp $
//
// $Source: /home/iris/grant/abng/CVS/sources/servers/scheduler/sched_barrier_id.hh,v $
//
// $Log: sched_barrier_id.hh,v $
// Revision 1.2  1998/06/18 10:21:56  mencnar
// moved to CVS
//
// Revision 1.1  1997/10/23 09:18:50  mencnar
// Initial revision
//
//

#ifndef __sched_barrier_id_hh__
#define __sched_barrier_id_hh__

//---------------------------------------------------------Sched_Barrier_Id
class Sched_Barrier_Id {
public:
  int is_badge_id;
  Badge_Id badge_id;
  Network_Id network_id;
  Station_Id station_id;
  RWCString group_name;

  Sched_Barrier_Id() : is_badge_id( 0), network_id(0), station_id(0) {}

  Sched_Barrier_Id( Badge_Id b_id) : badge_id( b_id), is_badge_id(1),
    network_id(0), station_id(0) {}

  Sched_Barrier_Id( Network_Id n_id, Station_Id s_id,
			  const RWCString &g_n) :
	network_id( n_id), station_id( s_id), group_name( g_n),
	is_badge_id(0) {}

  Sched_Barrier_Id( 	const Badge_Id &b_id, 
				Network_Id n_id, 
				Station_Id s_id,
				const RWCString &g_n) :
	is_badge_id(-1), badge_id( b_id), network_id( n_id),
	station_id( s_id), group_name( g_n) {}
				

  // compiler generated copy constructor, destructor welcomed

  int operator == ( const Sched_Barrier_Id &) const; 

  // cast operators

  operator ABng_Core_System::Sensor_Id() const;

  static unsigned hash( const Sched_Barrier_Id&);
};

#endif // __sched_barrier_id_hh__

//
