//
//  File:         sensor_rep_client.cc
//  Author:       Andrzej Uszok (uszok@ics.agh.edu.pl)
//  Date Created: 16.05.98
//
// General Description:
//   Implementation file for the class of a client of the Sensor 
//	 Repository interface
//

#include "sensor_rep_client.h"

extern "C"      int isalpha(int c);
extern "C"      int isdigit(int c);


Sensor_Rep_Client::Operations Rep_Client<Sensor_Types>::operations = 
  {{0, {0}}};

char* Rep_Client<Sensor_Types>::description = 
"\"sensor_number(long) network_number(long) group_name(identifier)\"";

ABng_Core_System::Sensor::Description 
   Sensor_Rep_Client::init_data (
	char* data
   ) 
{
	ABng_Core_System::Sensor::Description d;

	d.id.sensor_num = read_long(data);
	d.id.network_num = read_long(data);
	d.id.group_name = read_id(data);
	
	return d;
}







