
#ifndef tevent_data_observed_r_hh
#define tevent_data_observed_r_hh

#define CALL_SPEC 
#include <CORBA.h>

#include <string.h>


#include <domain_rep.hh>


#include <abng_core.hh>


#include "tevent_data_observed_e.hh"

class TEvent_Data_Observer;

#ifndef TEvent_Data_ObserverPtr
#define TEvent_Data_ObserverPtr
typedef TEvent_Data_Observer* TEvent_Data_Observer_ptr;
typedef TEvent_Data_Observer* TEvent_Data_ObserverRef;
#endif

#ifndef TEvent_Data_Observer_ptrTypedefs
#define TEvent_Data_Observer_ptrTypedefs
typedef const TEvent_Data_Observer* TEvent_Data_Observer_cptr;
#endif


#ifndef TEvent_Data_ObserverForwH
#define TEvent_Data_ObserverForwH
CORBA::ObjectRef CALL_SPEC TEvent_Data_Observer_getBase (void *);
void CALL_SPEC TEvent_Data_Observer_release (TEvent_Data_Observer *, CORBA::Environment &IT_env);
void CALL_SPEC TEvent_Data_Observer_release (TEvent_Data_Observer_ptr);
TEvent_Data_Observer* CALL_SPEC TEvent_Data_Observer_duplicate (TEvent_Data_Observer_ptr, CORBA::Environment &IT_env);
TEvent_Data_Observer* CALL_SPEC TEvent_Data_Observer_duplicate (TEvent_Data_Observer_ptr );
TEvent_Data_Observer_ptr CALL_SPEC TEvent_Data_Observer_nil (CORBA::Environment &IT_env);
TEvent_Data_Observer_ptr CALL_SPEC TEvent_Data_Observer_nil ();
#endif
#ifndef TEvent_Data_ObserverMgrH
#define TEvent_Data_ObserverMgrH

class TEvent_Data_Observer_var;

class TEvent_Data_Observer_SeqElem;

#ifndef TEvent_Data_Observer_ptrTypedefs
#define TEvent_Data_Observer_ptrTypedefs
typedef const TEvent_Data_Observer* TEvent_Data_Observer_cptr;
#endif

class TEvent_Data_Observer_mgr : public CORBA::_mgr
{
    public:

    TEvent_Data_Observer_mgr ();
    TEvent_Data_Observer_mgr (const TEvent_Data_Observer_mgr &IT_s);
    TEvent_Data_Observer_mgr (TEvent_Data_Observer_var IT_s);
    TEvent_Data_Observer_mgr (const TEvent_Data_Observer_SeqElem &IT_s);
    TEvent_Data_Observer_mgr &operator= (TEvent_Data_Observer_ptr IT_p);
    TEvent_Data_Observer_mgr &operator= (const TEvent_Data_Observer_mgr &IT_s);
    TEvent_Data_Observer_mgr &operator= (TEvent_Data_Observer_var IT_s);
    TEvent_Data_Observer_mgr &operator= (const TEvent_Data_Observer_SeqElem &IT_s);
    ~TEvent_Data_Observer_mgr ();
    TEvent_Data_Observer_ptr operator-> () const;
    operator ! () const;
    operator TEvent_Data_Observer_ptr& () ;
    operator const TEvent_Data_Observer_ptr& () const;
    TEvent_Data_Observer_ptr _ptr;

    operator CORBA::Object_ptr () const;
    TEvent_Data_Observer_ptr in () const;
    TEvent_Data_Observer_ptr& inOut ();
    TEvent_Data_Observer_ptr& out ();
    TEvent_Data_Observer_ptr ret () const;
};

#endif

#ifndef TEvent_Data_ObserverSeqElemH
#define TEvent_Data_ObserverSeqElemH

class TEvent_Data_Observer_SeqElem : public CORBA::_SeqElem
{
    public:

    TEvent_Data_Observer_SeqElem (TEvent_Data_Observer_ptr* IT_p, unsigned char rel);
    TEvent_Data_Observer_SeqElem &operator= (TEvent_Data_Observer_ptr IT_p);
    TEvent_Data_Observer_SeqElem &operator= (const TEvent_Data_Observer_SeqElem &IT_s);
    TEvent_Data_Observer_SeqElem &operator= (const TEvent_Data_Observer_mgr &IT_s);
    TEvent_Data_Observer_SeqElem &operator= (TEvent_Data_Observer_var IT_s);
    operator ! () const;
    operator const TEvent_Data_Observer_ptr& () const;
    operator CORBA::Object_ptr () const;
    TEvent_Data_Observer_ptr in () const;
    TEvent_Data_Observer_ptr& inOut ();
    TEvent_Data_Observer_ptr& out ();
    TEvent_Data_Observer_ptr ret () const;
    TEvent_Data_Observer_ptr operator->() const;

    protected:
    TEvent_Data_Observer_ptr *_ptr;
    unsigned char _release;
};

#endif

#define TEvent_Data_Observer_IMPL "TEvent_Data_Observer"


#ifndef _TEvent_Data_Observed_R_defined
#define _TEvent_Data_Observed_R_defined
class TEvent_Data_Observed_R_dispatch : public virtual CORBA::PPTR {
public:

      TEvent_Data_Observed_R_dispatch (void *IT_p, CORBA::Object* IT_o, const char *IT_m, 
        CORBA::LoaderClass *IT_l, char *IT_i, void* IT_im)
       : PPTR (IT_p,IT_o,IT_m,IT_l,IT_i,IT_im) {}


   TEvent_Data_Observed_R_dispatch (char *IT_OR, void *IT_p, CORBA::Object *IT_o)
       : PPTR (IT_OR,IT_p,IT_o) {}


   TEvent_Data_Observed_R_dispatch () {}

   TEvent_Data_Observed_R_dispatch (ObjectReferenceImpl *IT_OR, void *IT_p, CORBA::Object *IT_o)
       : PPTR (IT_OR,IT_p,IT_o) {}


   TEvent_Data_Observed_R_dispatch (void *IT_p, CORBA::Object *IT_o, const char *IT_m, 
        char *IT_i, CORBA::Object* IT_ob, void* IT_im)
       : PPTR (IT_p,IT_o,IT_m,IT_i,IT_ob,IT_im) {}


   virtual unsigned char dispatch (CORBA::Request &IT_r, 
        unsigned char IT_isTarget, void* IT_pp=NULL);


};

class TEvent_Data_Observed_R;

#ifndef TEvent_Data_Observed_RPtr
#define TEvent_Data_Observed_RPtr
typedef TEvent_Data_Observed_R* TEvent_Data_Observed_R_ptr;
typedef TEvent_Data_Observed_R* TEvent_Data_Observed_RRef;
#endif

#ifndef TEvent_Data_Observed_R_ptrTypedefs
#define TEvent_Data_Observed_R_ptrTypedefs
typedef const TEvent_Data_Observed_R* TEvent_Data_Observed_R_cptr;
#endif


#ifndef TEvent_Data_Observed_RForwH
#define TEvent_Data_Observed_RForwH
CORBA::ObjectRef CALL_SPEC TEvent_Data_Observed_R_getBase (void *);
void CALL_SPEC TEvent_Data_Observed_R_release (TEvent_Data_Observed_R *, CORBA::Environment &IT_env);
void CALL_SPEC TEvent_Data_Observed_R_release (TEvent_Data_Observed_R_ptr);
TEvent_Data_Observed_R* CALL_SPEC TEvent_Data_Observed_R_duplicate (TEvent_Data_Observed_R_ptr, CORBA::Environment &IT_env);
TEvent_Data_Observed_R* CALL_SPEC TEvent_Data_Observed_R_duplicate (TEvent_Data_Observed_R_ptr );
TEvent_Data_Observed_R_ptr CALL_SPEC TEvent_Data_Observed_R_nil (CORBA::Environment &IT_env);
TEvent_Data_Observed_R_ptr CALL_SPEC TEvent_Data_Observed_R_nil ();
#endif
#ifndef TEvent_Data_Observed_RMgrH
#define TEvent_Data_Observed_RMgrH

class TEvent_Data_Observed_R_var;

class TEvent_Data_Observed_R_SeqElem;

#ifndef TEvent_Data_Observed_R_ptrTypedefs
#define TEvent_Data_Observed_R_ptrTypedefs
typedef const TEvent_Data_Observed_R* TEvent_Data_Observed_R_cptr;
#endif

class TEvent_Data_Observed_R_mgr : public CORBA::_mgr
{
    public:

    TEvent_Data_Observed_R_mgr ();
    TEvent_Data_Observed_R_mgr (const TEvent_Data_Observed_R_mgr &IT_s);
    TEvent_Data_Observed_R_mgr (TEvent_Data_Observed_R_var IT_s);
    TEvent_Data_Observed_R_mgr (const TEvent_Data_Observed_R_SeqElem &IT_s);
    TEvent_Data_Observed_R_mgr &operator= (TEvent_Data_Observed_R_ptr IT_p);
    TEvent_Data_Observed_R_mgr &operator= (const TEvent_Data_Observed_R_mgr &IT_s);
    TEvent_Data_Observed_R_mgr &operator= (TEvent_Data_Observed_R_var IT_s);
    TEvent_Data_Observed_R_mgr &operator= (const TEvent_Data_Observed_R_SeqElem &IT_s);
    ~TEvent_Data_Observed_R_mgr ();
    TEvent_Data_Observed_R_ptr operator-> () const;
    operator ! () const;
    operator TEvent_Data_Observed_R_ptr& () ;
    operator const TEvent_Data_Observed_R_ptr& () const;
    TEvent_Data_Observed_R_ptr _ptr;

    operator CORBA::Object_ptr () const;
    TEvent_Data_Observed_R_ptr in () const;
    TEvent_Data_Observed_R_ptr& inOut ();
    TEvent_Data_Observed_R_ptr& out ();
    TEvent_Data_Observed_R_ptr ret () const;
};

#endif

#ifndef TEvent_Data_Observed_RSeqElemH
#define TEvent_Data_Observed_RSeqElemH

class TEvent_Data_Observed_R_SeqElem : public CORBA::_SeqElem
{
    public:

    TEvent_Data_Observed_R_SeqElem (TEvent_Data_Observed_R_ptr* IT_p, unsigned char rel);
    TEvent_Data_Observed_R_SeqElem &operator= (TEvent_Data_Observed_R_ptr IT_p);
    TEvent_Data_Observed_R_SeqElem &operator= (const TEvent_Data_Observed_R_SeqElem &IT_s);
    TEvent_Data_Observed_R_SeqElem &operator= (const TEvent_Data_Observed_R_mgr &IT_s);
    TEvent_Data_Observed_R_SeqElem &operator= (TEvent_Data_Observed_R_var IT_s);
    operator ! () const;
    operator const TEvent_Data_Observed_R_ptr& () const;
    operator CORBA::Object_ptr () const;
    TEvent_Data_Observed_R_ptr in () const;
    TEvent_Data_Observed_R_ptr& inOut ();
    TEvent_Data_Observed_R_ptr& out ();
    TEvent_Data_Observed_R_ptr ret () const;
    TEvent_Data_Observed_R_ptr operator->() const;

    protected:
    TEvent_Data_Observed_R_ptr *_ptr;
    unsigned char _release;
};

#endif

#define TEvent_Data_Observed_R_IMPL "TEvent_Data_Observed_R"


class TEvent_Data_Observed_R;

typedef TEvent_Data_Observed_R TEvent_Data_Observed_RProxy;
#define TEvent_Data_Observed_R_IR "TEvent_Data_Observed_R"
#define TEvent_Data_Observed_R_IMPL "TEvent_Data_Observed_R"

#ifndef TEvent_Data_Observed_RPtr
#define TEvent_Data_Observed_RPtr
typedef TEvent_Data_Observed_R* TEvent_Data_Observed_R_ptr;
typedef TEvent_Data_Observed_R* TEvent_Data_Observed_RRef;
#endif

#ifndef TEvent_Data_Observed_R_ptrTypedefs
#define TEvent_Data_Observed_R_ptrTypedefs
typedef const TEvent_Data_Observed_R* TEvent_Data_Observed_R_cptr;
#endif

class TEvent_Data_Observed_R: public virtual CORBA::Object  {
public:
        TEvent_Data_Observed_R (char *IT_OR);
    TEvent_Data_Observed_R (ObjectReferenceImpl *IT_OR);
    TEvent_Data_Observed_R () : CORBA::Object  (1) {}
protected:
    TEvent_Data_Observed_R_ptr __duplicate(
            CORBA::Environment &IT_env=CORBA::IT_chooseDefaultEnv ()) {
       CORBA::Object::__duplicate (IT_env);
       return this;
    }
public:
    static TEvent_Data_Observed_R_ptr CALL_SPEC _duplicate(
            TEvent_Data_Observed_R_ptr, 
            CORBA::Environment &IT_pEnv=CORBA::IT_chooseDefaultEnv ());
public:
   static TEvent_Data_Observed_R* CALL_SPEC _bind (const char* IT_markerServer, const char* host,
		const CORBA::Context &IT_c, 
		CORBA::Environment &IT_env=CORBA::IT_chooseDefaultEnv ());
   static TEvent_Data_Observed_R* CALL_SPEC _bind (CORBA::Environment &IT_env);
   static TEvent_Data_Observed_R* CALL_SPEC _bind (const char* IT_markerServer=NULL, const char* host=NULL,
                 CORBA::Environment &IT_env=CORBA::IT_chooseDefaultEnv ());
    static TEvent_Data_Observed_R* CALL_SPEC _narrow (CORBA::Object* , CORBA::Environment &IT_env=CORBA::IT_chooseDefaultEnv ());
private:
    static const void* IT_impl;
public:
    static TEvent_Data_Observed_R_ptr CALL_SPEC  _nil (CORBA::Environment &IT_pEnv=CORBA::IT_chooseDefaultEnv ()) {
        CORBA::EnvExcRaiser IT_raise;
        CORBA::Environment &IT_env = IT_raise.registerEnv (&IT_pEnv);
        return (TEvent_Data_Observed_R_ptr) CORBA::OBJECT_NIL;}

#ifndef TEvent_Data_Observed_R_Observer_Entry_defined
#define TEvent_Data_Observed_R_Observer_Entry_defined

struct Observer_Entry {
    TEvent_Data_Observer_mgr obs;
    Domain_Repository::Repository_Item_Ids interest;

    void encodeOp (CORBA::Request &IT_r) const;
    void decodeOp (CORBA::Request &IT_r);
    void decodeInOutOp (CORBA::Request &IT_r);
    Observer_Entry(const Observer_Entry &);
    Observer_Entry();
    ~Observer_Entry();
    Observer_Entry& operator= (const Observer_Entry&);
};

#ifndef TEvent_Data_Observed_R_Observer_EntryVarH
#define TEvent_Data_Observed_R_Observer_EntryVarH

#ifndef TEvent_Data_Observed_R_Observer_Entry_ptrTypedefsNC
#define TEvent_Data_Observed_R_Observer_Entry_ptrTypedefsNC
typedef Observer_Entry* Observer_Entry_ptr;
#endif

#ifndef TEvent_Data_Observed_R_Observer_Entry_ptrTypedefs
#define TEvent_Data_Observed_R_Observer_Entry_ptrTypedefs
typedef const Observer_Entry* Observer_Entry_cptr;
#endif

class Observer_Entry_var : public CORBA::_var
{
    private:

    unsigned char copyHelper (const Observer_Entry_var &IT_s);

    public:

    Observer_Entry_var (const Observer_Entry_var &IT_s);
    Observer_Entry_var ();
    Observer_Entry_var (Observer_Entry_ptr IT_p);
    Observer_Entry_var &operator= (Observer_Entry_ptr IT_p);
    Observer_Entry_var &operator= (const Observer_Entry_var &IT_s);
    ~Observer_Entry_var ();
    Observer_Entry_ptr operator-> () const;
    operator ! () const;
    operator Observer_Entry_ptr& () ;
    operator const Observer_Entry_cptr& () const;
    operator Observer_Entry& () const;

    const Observer_Entry in () const;
    Observer_Entry& inOut ();
    Observer_Entry*& out ();
    Observer_Entry* ret () const;
    protected:
    Observer_Entry_ptr* _indPtr;
    Observer_Entry_ptr& _ptr;
    private:
    static Observer_Entry_ptr* _newPtr ();
    Observer_Entry_var &operator= (const CORBA::_var &IT_s);
    Observer_Entry_var (const CORBA::_var &IT_s);
};

#endif


#endif


#ifndef TEvent_Data_Observed_R__IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_defined
#define TEvent_Data_Observed_R__IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_defined

class  _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry {
    CORBA::ULong _maximum;
    CORBA::ULong _length;
    Observer_Entry* _buffer;
    unsigned char _release;

    public:
    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry& operator= (const _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry&);
    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry (const _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry&);

    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry (CORBA::ULong max);
    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry (CORBA::ULong max, CORBA::ULong length, Observer_Entry* data, CORBA::Boolean release = 0);
    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry ();

    ~_IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry ();

    static Observer_Entry* CALL_SPEC allocbuf(CORBA::ULong nelems);
    static void CALL_SPEC freebuf(Observer_Entry* data);

    CORBA::ULong maximum() const;
    CORBA::ULong length() const;
    void length (CORBA::ULong len);

    Observer_Entry& operator [] (CORBA::ULong IT_i);

    const Observer_Entry& operator [] (CORBA::ULong IT_i) const;

    void assignbuf (CORBA::ULong max, CORBA::ULong length, Observer_Entry* data, CORBA::Boolean release = 0);
    void encodeOp (CORBA::Request &IT_r) const;
    void decodeOp (CORBA::Request &IT_r);
    void decodeInOutOp (CORBA::Request &IT_r);
};

#ifndef TEvent_Data_Observed_R__IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_EntryVarH
#define TEvent_Data_Observed_R__IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_EntryVarH

#ifndef TEvent_Data_Observed_R__IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_ptrTypedefsNC
#define TEvent_Data_Observed_R__IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_ptrTypedefsNC
typedef _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry* _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_ptr;
#endif

#ifndef TEvent_Data_Observed_R__IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_ptrTypedefs
#define TEvent_Data_Observed_R__IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_ptrTypedefs
typedef const _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry* _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_cptr;
#endif

class _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_var : public CORBA::_var
{
    private:

    unsigned char copyHelper (const _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_var &IT_s);

    public:

    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_var (const _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_var &IT_s);
    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_var ();
    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_var (_IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_ptr IT_p);
    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_var &operator= (_IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_ptr IT_p);
    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_var &operator= (const _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_var &IT_s);
    ~_IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_var ();
    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_ptr operator-> () const;
    operator ! () const;
    operator _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_ptr& () ;
    operator const _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_cptr& () const;
    operator _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry& () const;

    const _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry in () const;
    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry& inOut ();
    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry*& out ();
    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry* ret () const;
    const Observer_Entry& operator[] (CORBA::ULong index) const;

    Observer_Entry& operator[] (CORBA::ULong index);

    protected:
    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_ptr* _indPtr;
    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_ptr& _ptr;
    private:
    static _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_ptr* _newPtr ();
    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_var &operator= (const CORBA::_var &IT_s);
    _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_var (const CORBA::_var &IT_s);
};

#endif


#endif

typedef _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry Observer_Entries;
typedef const _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry Observer_Entries_IT_const;

typedef _IDL_SEQUENCE_TEvent_Data_Observed_R_Observer_Entry_var Observer_Entries_var;

    virtual Observer_Entries* tevent_data_observer_list (CORBA::Environment &IT_env=CORBA::IT_chooseDefaultEnv ()) throw (CORBA::SystemException);
    virtual TEvent_Data_Observed_E::TEvent_Data_Observers* add_tevent_data_observer_list (CORBA::Environment &IT_env=CORBA::IT_chooseDefaultEnv ()) throw (CORBA::SystemException);
        virtual void attach_tevent_data_observer (TEvent_Data_Observer_ptr obs, const Domain_Repository::Repository_Item_Ids& observed_id_list, CORBA::Environment &IT_env=CORBA::IT_chooseDefaultEnv ()) throw (CORBA::SystemException, Domain_Repository::Unknown_Repository_Item_Ids);
        virtual void detach_tevent_data_observer (TEvent_Data_Observer_ptr obs, const Domain_Repository::Repository_Item_Ids& observed_id_list, CORBA::Environment &IT_env=CORBA::IT_chooseDefaultEnv ()) throw (CORBA::SystemException, Domain_Repository::Unknown_Repository_Item_Ids, Domain_Repository::Unknown_Observer, Domain_Repository::Unmatched_Observer_Item_Ids);
        virtual void attach_add_tevent_data_observer (TEvent_Data_Observer_ptr obs, CORBA::Environment &IT_env=CORBA::IT_chooseDefaultEnv ()) throw (CORBA::SystemException);
        virtual void detach_add_tevent_data_observer (TEvent_Data_Observer_ptr obs, CORBA::Environment &IT_env=CORBA::IT_chooseDefaultEnv ()) throw (CORBA::SystemException, Domain_Repository::Unknown_Observer);
};

#ifndef TEvent_Data_Observed_RVarH
#define TEvent_Data_Observed_RVarH

#ifndef TEvent_Data_Observed_R_ptrTypedefs
#define TEvent_Data_Observed_R_ptrTypedefs
typedef const TEvent_Data_Observed_R* TEvent_Data_Observed_R_cptr;
#endif

class TEvent_Data_Observed_R_var : public CORBA::_var
{
    private:

    unsigned char copyHelper (const TEvent_Data_Observed_R_var &IT_s);
    unsigned char copyHelper (const TEvent_Data_Observed_R_mgr &IT_s);
    unsigned char copyHelper (const TEvent_Data_Observed_R_SeqElem &IT_s);

    public:

    TEvent_Data_Observed_R_var (const TEvent_Data_Observed_R_var &IT_s);
    TEvent_Data_Observed_R_var (const TEvent_Data_Observed_R_mgr &IT_s);
    TEvent_Data_Observed_R_var (const TEvent_Data_Observed_R_SeqElem &IT_s);
    TEvent_Data_Observed_R_var ();
    TEvent_Data_Observed_R_var (TEvent_Data_Observed_R_ptr IT_p);
    TEvent_Data_Observed_R_var &operator= (TEvent_Data_Observed_R_ptr IT_p);
    TEvent_Data_Observed_R_var &operator= (const TEvent_Data_Observed_R_var &IT_s);
    TEvent_Data_Observed_R_var &operator= (const TEvent_Data_Observed_R_mgr &IT_s);
    TEvent_Data_Observed_R_var &operator= (const TEvent_Data_Observed_R_SeqElem &IT_s);
    ~TEvent_Data_Observed_R_var ();
    TEvent_Data_Observed_R_ptr operator-> () const;
    operator ! () const;
    operator TEvent_Data_Observed_R_ptr& () ;
    operator const TEvent_Data_Observed_R_cptr& () const;

    operator CORBA::Object_ptr () const;
    TEvent_Data_Observed_R_ptr in () const;
    TEvent_Data_Observed_R_ptr& inOut ();
    TEvent_Data_Observed_R_ptr& out ();
    TEvent_Data_Observed_R_ptr ret () const;
    protected:
    TEvent_Data_Observed_R_ptr* _indPtr;
    TEvent_Data_Observed_R_ptr& _ptr;
    private:
    static TEvent_Data_Observed_R_ptr* _newPtr ();
    TEvent_Data_Observed_R_var &operator= (const CORBA::_var &IT_s);
    TEvent_Data_Observed_R_var (const CORBA::_var &IT_s);
};

#endif



#define TIE_TEvent_Data_Observed_R(X) TEvent_Data_Observed_R##X

#define DEF_TIE_TEvent_Data_Observed_R(X) \
	class TEvent_Data_Observed_R##X : public virtual TEvent_Data_Observed_R {		\
	  X* m_obj;						\
	public:							\
								\
								\
	   TEvent_Data_Observed_R##X  (X *objp, const char* m="", CORBA::LoaderClass *l=0)\
		: TEvent_Data_Observed_R(), m_obj(objp) {	\
		m_pptr = new TEvent_Data_Observed_R_dispatch		\
			(( TEvent_Data_Observed_R*)this,(CORBA::Object*)this,m,l,TEvent_Data_Observed_R_IR,m_obj);	\
	   }								\
	   TEvent_Data_Observed_R##X  (CORBA::Object *IT_p, const char* IT_m="", void *IT_q=0)\
		: TEvent_Data_Observed_R() {	\
		m_pptr = new TEvent_Data_Observed_R_dispatch		\
			(( TEvent_Data_Observed_R*)this,(CORBA::Object*)this,IT_m,TEvent_Data_Observed_R_IR,IT_p,IT_q);	\
		m_obj = (X*)(m_pptr->getImplObj ());			\
	   }								\
								\
	   virtual ~TEvent_Data_Observed_R##X  () {				\
		if (_okToDeleteImpl ()) delete m_obj; }					\
	   virtual void* _deref () {					\
		return m_obj; }					\
								\
virtual TEvent_Data_Observed_R::Observer_Entries* tevent_data_observer_list (CORBA::Environment &IT_env) throw (CORBA::SystemException)  {\
return m_obj->tevent_data_observer_list(IT_env); \
}\
	\
virtual TEvent_Data_Observed_E::TEvent_Data_Observers* add_tevent_data_observer_list (CORBA::Environment &IT_env) throw (CORBA::SystemException)  {\
return m_obj->add_tevent_data_observer_list(IT_env); \
}\
	\
virtual void attach_tevent_data_observer (TEvent_Data_Observer_ptr obs, const Domain_Repository::Repository_Item_Ids& observed_id_list, CORBA::Environment &IT_env) throw (CORBA::SystemException, Domain_Repository::Unknown_Repository_Item_Ids){\
m_obj->attach_tevent_data_observer (  obs,  observed_id_list,IT_env);\
}\
	\
virtual void detach_tevent_data_observer (TEvent_Data_Observer_ptr obs, const Domain_Repository::Repository_Item_Ids& observed_id_list, CORBA::Environment &IT_env) throw (CORBA::SystemException, Domain_Repository::Unknown_Repository_Item_Ids, Domain_Repository::Unknown_Observer, Domain_Repository::Unmatched_Observer_Item_Ids){\
m_obj->detach_tevent_data_observer (  obs,  observed_id_list,IT_env);\
}\
	\
virtual void attach_add_tevent_data_observer (TEvent_Data_Observer_ptr obs, CORBA::Environment &IT_env) throw (CORBA::SystemException){\
m_obj->attach_add_tevent_data_observer (  obs,IT_env);\
}\
	\
virtual void detach_add_tevent_data_observer (TEvent_Data_Observer_ptr obs, CORBA::Environment &IT_env) throw (CORBA::SystemException, Domain_Repository::Unknown_Observer){\
m_obj->detach_add_tevent_data_observer (  obs,IT_env);\
}\
								\
	};						\


#define QUALS_TEvent_Data_Observed_R	\
virtual TEvent_Data_Observed_R::Observer_Entries* tevent_data_observer_list (CORBA::Environment &IT_env) throw (CORBA::SystemException)  {\
return m_obj->tevent_data_observer_list(IT_env); \
}\
	\
virtual TEvent_Data_Observed_E::TEvent_Data_Observers* add_tevent_data_observer_list (CORBA::Environment &IT_env) throw (CORBA::SystemException)  {\
return m_obj->add_tevent_data_observer_list(IT_env); \
}\
	\
virtual void attach_tevent_data_observer (TEvent_Data_Observer_ptr obs, const Domain_Repository::Repository_Item_Ids& observed_id_list, CORBA::Environment &IT_env) throw (CORBA::SystemException, Domain_Repository::Unknown_Repository_Item_Ids){\
m_obj->attach_tevent_data_observer (  obs,  observed_id_list,IT_env);\
}\
	\
virtual void detach_tevent_data_observer (TEvent_Data_Observer_ptr obs, const Domain_Repository::Repository_Item_Ids& observed_id_list, CORBA::Environment &IT_env) throw (CORBA::SystemException, Domain_Repository::Unknown_Repository_Item_Ids, Domain_Repository::Unknown_Observer, Domain_Repository::Unmatched_Observer_Item_Ids){\
m_obj->detach_tevent_data_observer (  obs,  observed_id_list,IT_env);\
}\
	\
virtual void attach_add_tevent_data_observer (TEvent_Data_Observer_ptr obs, CORBA::Environment &IT_env) throw (CORBA::SystemException){\
m_obj->attach_add_tevent_data_observer (  obs,IT_env);\
}\
	\
virtual void detach_add_tevent_data_observer (TEvent_Data_Observer_ptr obs, CORBA::Environment &IT_env) throw (CORBA::SystemException, Domain_Repository::Unknown_Observer){\
m_obj->detach_add_tevent_data_observer (  obs,IT_env);\
}\




class TEvent_Data_Observed_RProxyFactoryClass : public virtual CORBA::ObjectFactoryClass {
public:
   TEvent_Data_Observed_RProxyFactoryClass (unsigned char IT_p=0)
		: CORBA::ProxyFactory (TEvent_Data_Observed_R_IR, IT_p) {}

    virtual void* New (char *IT_OR, CORBA::Environment&);

    virtual void* New (ObjectReferenceImpl *IT_OR, CORBA::Environment&);

    virtual void* New2 (); 

    virtual CORBA::Object* NewObject (char *IT_OR, CORBA::Environment&);

    virtual CORBA::Object* NewObject (ObjectReferenceImpl *IT_OR, CORBA::Environment&);

    virtual CORBA::Object* New2Object (); 

    virtual void* IT_castUp (void *IT_p, char* IT_s, CORBA::Environment &IT_env=CORBA::IT_chooseDefaultEnv ());

    virtual CORBA::PPTR* pptr (void *IT_p);

    virtual void baseInterfaces (_IDL_SEQUENCE_string&);


};

extern TEvent_Data_Observed_RProxyFactoryClass TEvent_Data_Observed_RProxyFactory;

#endif


#endif
